> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Heartbeat Monitor



## OpenAPI

````yaml POST /api/v1/heartbeats/{id}/pause
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/heartbeats/{id}/pause:
    post:
      tags:
        - heartbeats
      summary: Pause a heartbeat monitor for N hours
      operationId: HeartbeatController_pause_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PauseHeartbeatDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    PauseHeartbeatDto:
      type: object
      properties:
        hours:
          type: number
          minimum: 1
          maximum: 168
          description: Hours to pause (1–168)
      required:
        - hours
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````